[tool.poetry]
name = "mobile-rpa"
version = "0.1.0"
description = ""
authors = ["fzxs88 <fzxs88@yeah.net>"]
readme = "README.md"
package-mode = false

[tool.poetry.dependencies]
python = "~3.10"
fastapi = "^0.115.8"
uiautomator2 = "3.2.9"
uvicorn = "^0.34.0"
numpy = "^2.2.4"
pyinstaller = "^6.12.0"
opencv-python = "^4.11.0.86"
schedule = "^1.2.2"

[[tool.poetry.source]]
name = "tsinghua"
url = "https://pypi.tuna.tsinghua.edu.cn/simple"
priority = "explicit"



[tool.poetry.group.dev.dependencies]
pyinstaller = "^6.12.0"
pytest = "^8.3.5"
weditor = "^0.7.3"

[build-system]
requires = ["poetry-core"]
build-backend = "poetry.core.masonry.api"
